import { baseUrl } from '@/Http/helper'
import Link from 'next/link'
import React from 'react'

function page() {
  return (
    <>
    <div className="sellor_27_12">
      <div className="container">
        <div className="row align-items-center">
          <div className="col-lg-7">
            <div className="content_dashboar_6">
              <h2>Join Sellora Unlock Your Potential and Reach</h2>
              <h2>Millions of Customers!</h2>
              <p>
                Join Sellora Unlock Your Potential and Reach Millions of Customers
              </p>
              <p>
                Enjoy 0% Commission &amp; fees for the limited time when you join
                Sellora. Start selling without worrying about subscription or
                commission charges. <span>T&amp;C*</span>
              </p>
              <div className="button_6dsfsd mb--30">
                <Link href={`${baseUrl}seller/register`}>Start Selling</Link>
                <div className="clearfix" />
              </div>
            </div>
          </div>
          <div className="col-lg-5">
            <div className="sell_online_img">
              <img src={`${baseUrl}front/assets/images/sell_online3.jpg`} />
            </div>
          </div>
        </div>
      </div>
    </div>
    <div className="sell_more_with_section">
      <div className="details_page_outer">
        <div className="row">
          <div className="col-lg-7">
            <div className="sell_more_withg_heading">
              <h2>
                Sell More with the Seller Success Guide Your Path to Success on
                Sellora
              </h2>
            </div>
            <p>
              Welcome to the Sellora Seller Success Guide—your source for getting
              up to full steam, driving sales, and building a thriving online
              business. Whether you're just beginning to navigate your way or are
              an old pro, this guide is designed to help you realize your full
              potential on Sellora, an interface that shines light on business
              opportunities of every size. Let's get started on some of the key
              strategies that will set your business apart and help you sell more
              with Sellora.
            </p>
          </div>
          <div className="col-lg-4"> </div>
        </div>
      </div>
    </div>
    <div className="content_page_outer">
      <div className="row align-items-center">
        <div className="col-lg-7">
          <div className="content_sdflkd">
            <h3>Quality Listings</h3>
            <p>Optimized listings increase visibility and sales on Sellora.</p>
            <p>
              <strong>Optimised Titles:</strong> The product title should be
              specific and concise. When entering a search query, use a keyword or
              keyword phrase that the customer may use to search for it. Add the
              following:
            </p>
            <p>
              <strong>Brief Statement of Product Benefits:</strong> Clearly
              indicate the value proposition of the product. Organize text into
              bullet points to make for easier reading. Ensure the description
              answers typical customer questions.
            </p>
            <p>
              <strong>High-quality images:</strong> The pictures clearly are
              high-resolution. Images of the product, packaging, and all other
              aspects thereof; different angles of the product are a must.
            </p>
            <p>
              <strong>Keywords:</strong> Use relevant keywords for your products
              in the listings so that they can appear on higher ranks of Sellora
              search results. Use keywords which the customer will use to search
              for such products.
            </p>
          </div>
        </div>
        <div className="col-lg-5">
          <div className="full_image_viewfdds">
            <img src={`${baseUrl}front/assets/images/add_quality_listings.jpg`} />
          </div>
        </div>
      </div>
    </div>
    <div className="content_page_outer mt--100 mb--100">
      <div className="row align-items-center">
        <div className="col-lg-5">
          <div className="full_image_viewfdds">
            <img src={`${baseUrl}front/assets/images/ads.jpg`} />
          </div>
        </div>
        <div className="col-lg-7">
          <div className="content_sdflkd">
            <h3>Ads to Boost Visibility</h3>
            <p>
              <strong>Ads:</strong> Invest in paid advertisements through
              Sellora's ad platform. Sponsored product ads can help amplify the
              visibility of your product and increase sales.
            </p>
            <p>
              <strong>Optimize Campaigns:</strong> Continuously monitor and
              optimize the ads based on performance. Use keywords that drive the
              most sales and reduce spending.
            </p>
          </div>
        </div>
      </div>
    </div>
    <div className="content_page_outer">
      <div className="row align-items-center">
        <div className="col-lg-8">
          <div className="content_sdflkd">
            <h3>Provide Excellent Customer Service on Sellora</h3>
            <p>
              <strong>Fast Responses:</strong> Respond to client inquiries
              quickly, and in a professional manner. Assist them with any problems
              they have with the commodity or delivery process.
            </p>
            <p>
              <strong>Handle Returns Professionally:</strong> Make it easier for
              customers and offer solutions to unhappy customers who may wish to
              make returns.
            </p>
            <p>
              <strong>Take Care of Problems:</strong> In case there are any issues
              pertaining to the orders, please attend to them right away to
              prevent any bad ratings and enhance customer retention.
            </p>
          </div>
        </div>
        <div className="col-lg-4">
          <div className="full_image_viewfdds">
            <img src={`${baseUrl}front/assets/images/provide.jpg`} />
          </div>
        </div>
      </div>
    </div>
    <div className="content_page_outer mt--100 mb--100">
      <div className="row align-items-center">
        <div className="col-lg-5">
          <div className="full_image_viewfdds">
            <img src={`${baseUrl}front/assets/images/monitor.jpg`} />
          </div>
        </div>
        <div className="col-lg-7">
          <div className="content_sdflkd">
            <h3>Monitor Account Health</h3>
            <p>
              <strong>Track Metrics:</strong> Sellers need to track the Sellora's
              account health metrics, which include order cancellation rate,
              return rates, and delivery performances. Meet or exceed the
              performance guidelines set by Sellora.
            </p>
            <p>
              <strong>Stay Compliant:</strong> The policies and guidelines must be
              followed on Sellora to avoid account suspension or penalties. Ensure
              that product descriptions and their claims are accurate and properly
              stated.
            </p>
          </div>
        </div>
      </div>
    </div>
    <div className="container-fluid mb--50">
      <div className="row">
        <div className="col-lg-8">
          <div className="expan_mmmm">
            <p>
              Expand your wholesale business with Sellora – connecting you with
              buyers and increases sales in both B2B and B2C markets.
            </p>
            <div className="start_mmmm">
              <Link href={`${baseUrl}seller/register`}>Start Selling</Link>
            </div>
          </div>
        </div>
        <div className="col-lg-4">
          <div className="wholesale">
            <img src={`${baseUrl}front/assets/images/wholesale_trolly.jpg`} />
          </div>
        </div>
      </div>
    </div>
  </>
  

  )
}

export default page